org.jbpm.bpmn2.xml

## Class MetaDataHandler.MetaDataWrapper

- java.lang.Object
- - org.jbpm.bpmn2.xml.MetaDataHandler.MetaDataWrapper

- All Implemented Interfaces:
    org.drools.core.process.core.TypeObject, ValueObject
  Enclosing class:
    MetaDataHandler

      public class MetaDataHandler.MetaDataWrapper
      extends Object
      implements ValueObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaDataHandler.MetaDataWrapper(Object parent, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getMetaData()`
    `org.drools.core.process.core.datatype.DataType` | `getType()`
    `Object` | `getValue()`
    `void` | `setType(org.drools.core.process.core.datatype.DataType type)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaDataHandler.MetaDataWrapper

          public MetaDataHandler.MetaDataWrapper(Object parent,
                                         String name)

  - ### Method Detail

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `ValueObject`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `ValueObject`

    - #### getMetaData

          public Map<String,Object> getMetaData()

    - #### getType

          public org.drools.core.process.core.datatype.DataType getType()

      Specified by:
        `getType` in interface `org.drools.core.process.core.TypeObject`

    - #### setType

          public void setType(org.drools.core.process.core.datatype.DataType type)

      Specified by:
        `setType` in interface `org.drools.core.process.core.TypeObject`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.